Bug 1126851 - [abrt] gnome-shell: _cairo_surface_is_image(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _cairo_surface_is_image(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8f6b30b5f4b40e984da76fc15b8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 12:44 UTC by LinuxMario
Modified: 2015-02-18 11:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:54 UTC


Attachments (Terms of Use)
File: backtrace (55.06 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: cgroup (154 bytes, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: core_backtrace (39.34 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: dso_list (24.53 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: environ (1.49 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: exploitable (110 bytes, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: maps (132.39 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: open_fds (1.89 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details
File: var_log_messages (14.18 KB, text/plain)
2014-08-05 12:44 UTC, LinuxMario
no flags Details

Description LinuxMario 2014-08-05 12:44:16 UTC
Version-Release number of selected component:
gnome-shell-3.8.4-3.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _cairo_surface_is_image
executable:     /usr/bin/gnome-shell
kernel:         3.14.13-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _cairo_surface_is_image at cairo-image-surface-inline.h:77
 #1 INT_cairo_image_surface_get_width at cairo-image-surface.c:605
 #2 paint_shadow_pattern_to_cairo_context at st/st-theme-node-drawing.c:723
 #3 paint_inset_box_shadow_to_cairo_context at st/st-theme-node-drawing.c:914
 #4 st_theme_node_prerender_background at st/st-theme-node-drawing.c:1236
 #5 st_theme_node_render_resources at st/st-theme-node-drawing.c:1426
 #6 st_theme_node_paint at st/st-theme-node-drawing.c:1946
 #7 st_widget_paint_background at st/st-widget.c:444
 #8 st_widget_paint at st/st-widget.c:450
 #9 _g_closure_invoke_va at gclosure.c:840

Potential duplicate: bug 887595

Comment 1 LinuxMario 2014-08-05 12:44:20 UTC
Created attachment 924200 [details]
File: backtrace

Comment 2 LinuxMario 2014-08-05 12:44:21 UTC
Created attachment 924201 [details]
File: cgroup

Comment 3 LinuxMario 2014-08-05 12:44:23 UTC
Created attachment 924202 [details]
File: core_backtrace

Comment 4 LinuxMario 2014-08-05 12:44:25 UTC
Created attachment 924203 [details]
File: dso_list

Comment 5 LinuxMario 2014-08-05 12:44:26 UTC
Created attachment 924204 [details]
File: environ

Comment 6 LinuxMario 2014-08-05 12:44:27 UTC
Created attachment 924205 [details]
File: exploitable

Comment 7 LinuxMario 2014-08-05 12:44:28 UTC
Created attachment 924206 [details]
File: limits

Comment 8 LinuxMario 2014-08-05 12:44:32 UTC
Created attachment 924207 [details]
File: maps

Comment 9 LinuxMario 2014-08-05 12:44:33 UTC
Created attachment 924208 [details]
File: open_fds

Comment 10 LinuxMario 2014-08-05 12:44:34 UTC
Created attachment 924209 [details]
File: proc_pid_status

Comment 11 LinuxMario 2014-08-05 12:44:36 UTC
Created attachment 924210 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-01-09 21:28:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-18 11:47:54 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.